import { Functional } from './Class/Functional';
import { Done } from './Class/Functional/Done';
import { Fail } from './Class/Functional/Fail';
export declare class MIMO<I, O> extends Functional<I, O> {
    f(i: I, done: Done<O>, fail: Fail): void;
    m(i: I): Partial<O> | undefined;
}
